# Class PersistableEnvelope

#### Hierarchy

- unknown
  - PersistableEnvelope

- Defined in src/protobuf/pb_pb.d.ts:5329
- Defined in src/protobuf/pb_pb.d.ts:5440

#####
Index

### Constructors

constructor

### Methods

clearAccountAgeWitnessStore
clearAddressEntryList
clearArbitrationDisputeList
clearEncryptedConnectionList
clearIgnoredMailboxMap
clearMailboxMessageList
clearMediationDisputeList
clearNavigationPath
clearPaymentAccountList
clearPeerList
clearPreferencesPayload
clearRefundDisputeList
clearRemovedPayloadsMap
clearSequenceNumberMap
clearSignedOfferList
clearSignedWitnessStore
clearTradableList
clearTradeStatistics3Store
clearUserPayload
clearXmrAddressEntryList
getAccountAgeWitnessStore
getAddressEntryList
getArbitrationDisputeList
getEncryptedConnectionList
getIgnoredMailboxMap
getMailboxMessageList
getMediationDisputeList
getMessageCase
getNavigationPath
getPaymentAccountList
getPeerList
getPreferencesPayload
getRefundDisputeList
getRemovedPayloadsMap
getSequenceNumberMap
getSignedOfferList
getSignedWitnessStore
getTradableList
getTradeStatistics3Store
getUserPayload
getXmrAddressEntryList
hasAccountAgeWitnessStore
hasAddressEntryList
hasArbitrationDisputeList
hasEncryptedConnectionList
hasIgnoredMailboxMap
hasMailboxMessageList
hasMediationDisputeList
hasNavigationPath
hasPaymentAccountList
hasPeerList
hasPreferencesPayload
hasRefundDisputeList
hasRemovedPayloadsMap
hasSequenceNumberMap
hasSignedOfferList
hasSignedWitnessStore
hasTradableList
hasTradeStatistics3Store
hasUserPayload
hasXmrAddressEntryList
serializeBinary
setAccountAgeWitnessStore
setAddressEntryList
setArbitrationDisputeList
setEncryptedConnectionList
setIgnoredMailboxMap
setMailboxMessageList
setMediationDisputeList
setNavigationPath
setPaymentAccountList
setPeerList
setPreferencesPayload
setRefundDisputeList
setRemovedPayloadsMap
setSequenceNumberMap
setSignedOfferList
setSignedWitnessStore
setTradableList
setTradeStatistics3Store
setUserPayload
setXmrAddressEntryList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new PersistableEnvelope(): PersistableEnvelope

- #### Returns PersistableEnvelope

  Inherited from jspb.Message.constructor

## Methods

### clearAccountAgeWitnessStore

- clearAccountAgeWitnessStore(): PersistableEnvelope

- #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5378

### clearAddressEntryList

- clearAddressEntryList(): PersistableEnvelope

- #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5343

### clearArbitrationDisputeList

- clearArbitrationDisputeList(): PersistableEnvelope

- #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5358

### clearEncryptedConnectionList

- clearEncryptedConnectionList(): PersistableEnvelope

- #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5428

### clearIgnoredMailboxMap

- clearIgnoredMailboxMap(): PersistableEnvelope

- #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5408

### clearMailboxMessageList

- clearMailboxMessageList(): PersistableEnvelope

- #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5403

### clearMediationDisputeList

- clearMediationDisputeList(): PersistableEnvelope

- #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5388

### clearNavigationPath

- clearNavigationPath(): PersistableEnvelope

- #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5348

### clearPaymentAccountList

- clearPaymentAccountList(): PersistableEnvelope

- #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5373

### clearPeerList

- clearPeerList(): PersistableEnvelope

- #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5338

### clearPreferencesPayload

- clearPreferencesPayload(): PersistableEnvelope

- #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5363

### clearRefundDisputeList

- clearRefundDisputeList(): PersistableEnvelope

- #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5393

### clearRemovedPayloadsMap

- clearRemovedPayloadsMap(): PersistableEnvelope

- #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5413

### clearSequenceNumberMap

- clearSequenceNumberMap(): PersistableEnvelope

- #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5333

### clearSignedOfferList

- clearSignedOfferList(): PersistableEnvelope

- #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5423

### clearSignedWitnessStore

- clearSignedWitnessStore(): PersistableEnvelope

- #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5383

### clearTradableList

- clearTradableList(): PersistableEnvelope

- #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5353

### clearTradeStatistics3Store

- clearTradeStatistics3Store(): PersistableEnvelope

- #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5398

### clearUserPayload

- clearUserPayload(): PersistableEnvelope

- #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5368

### clearXmrAddressEntryList

- clearXmrAddressEntryList(): PersistableEnvelope

- #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5418

### getAccountAgeWitnessStore

- getAccountAgeWitnessStore(): undefined | AccountAgeWitnessStore

- #### Returns undefined | AccountAgeWitnessStore

  - Defined in src/protobuf/pb_pb.d.ts:5375

### getAddressEntryList

- getAddressEntryList(): undefined | AddressEntryList

- #### Returns undefined | AddressEntryList

  - Defined in src/protobuf/pb_pb.d.ts:5340

### getArbitrationDisputeList

- getArbitrationDisputeList(): undefined | ArbitrationDisputeList

- #### Returns undefined | ArbitrationDisputeList

  - Defined in src/protobuf/pb_pb.d.ts:5355

### getEncryptedConnectionList

- getEncryptedConnectionList(): undefined | EncryptedConnectionList

- #### Returns undefined | EncryptedConnectionList

  - Defined in src/protobuf/pb_pb.d.ts:5425

### getIgnoredMailboxMap

- getIgnoredMailboxMap(): undefined | IgnoredMailboxMap

- #### Returns undefined | IgnoredMailboxMap

  - Defined in src/protobuf/pb_pb.d.ts:5405

### getMailboxMessageList

- getMailboxMessageList(): undefined | MailboxMessageList

- #### Returns undefined | MailboxMessageList

  - Defined in src/protobuf/pb_pb.d.ts:5400

### getMediationDisputeList

- getMediationDisputeList(): undefined | MediationDisputeList

- #### Returns undefined | MediationDisputeList

  - Defined in src/protobuf/pb_pb.d.ts:5385

### getMessageCase

- getMessageCase(): PersistableEnvelope.MessageCase

- #### Returns PersistableEnvelope.MessageCase

  - Defined in src/protobuf/pb_pb.d.ts:5430

### getNavigationPath

- getNavigationPath(): undefined | NavigationPath

- #### Returns undefined | NavigationPath

  - Defined in src/protobuf/pb_pb.d.ts:5345

### getPaymentAccountList

- getPaymentAccountList(): undefined | PaymentAccountList

- #### Returns undefined | PaymentAccountList

  - Defined in src/protobuf/pb_pb.d.ts:5370

### getPeerList

- getPeerList(): undefined | PeerList

- #### Returns undefined | PeerList

  - Defined in src/protobuf/pb_pb.d.ts:5335

### getPreferencesPayload

- getPreferencesPayload(): undefined | PreferencesPayload

- #### Returns undefined | PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:5360

### getRefundDisputeList

- getRefundDisputeList(): undefined | RefundDisputeList

- #### Returns undefined | RefundDisputeList

  - Defined in src/protobuf/pb_pb.d.ts:5390

### getRemovedPayloadsMap

- getRemovedPayloadsMap(): undefined | RemovedPayloadsMap

- #### Returns undefined | RemovedPayloadsMap

  - Defined in src/protobuf/pb_pb.d.ts:5410

### getSequenceNumberMap

- getSequenceNumberMap(): undefined | SequenceNumberMap

- #### Returns undefined | SequenceNumberMap

  - Defined in src/protobuf/pb_pb.d.ts:5330

### getSignedOfferList

- getSignedOfferList(): undefined | SignedOfferList

- #### Returns undefined | SignedOfferList

  - Defined in src/protobuf/pb_pb.d.ts:5420

### getSignedWitnessStore

- getSignedWitnessStore(): undefined | SignedWitnessStore

- #### Returns undefined | SignedWitnessStore

  - Defined in src/protobuf/pb_pb.d.ts:5380

### getTradableList

- getTradableList(): undefined | TradableList

- #### Returns undefined | TradableList

  - Defined in src/protobuf/pb_pb.d.ts:5350

### getTradeStatistics3Store

- getTradeStatistics3Store(): undefined | TradeStatistics3Store

- #### Returns undefined | TradeStatistics3Store

  - Defined in src/protobuf/pb_pb.d.ts:5395

### getUserPayload

- getUserPayload(): undefined | UserPayload

- #### Returns undefined | UserPayload

  - Defined in src/protobuf/pb_pb.d.ts:5365

### getXmrAddressEntryList

- getXmrAddressEntryList(): undefined | XmrAddressEntryList

- #### Returns undefined | XmrAddressEntryList

  - Defined in src/protobuf/pb_pb.d.ts:5415

### hasAccountAgeWitnessStore

- hasAccountAgeWitnessStore(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:5377

### hasAddressEntryList

- hasAddressEntryList(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:5342

### hasArbitrationDisputeList

- hasArbitrationDisputeList(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:5357

### hasEncryptedConnectionList

- hasEncryptedConnectionList(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:5427

### hasIgnoredMailboxMap

- hasIgnoredMailboxMap(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:5407

### hasMailboxMessageList

- hasMailboxMessageList(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:5402

### hasMediationDisputeList

- hasMediationDisputeList(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:5387

### hasNavigationPath

- hasNavigationPath(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:5347

### hasPaymentAccountList

- hasPaymentAccountList(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:5372

### hasPeerList

- hasPeerList(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:5337

### hasPreferencesPayload

- hasPreferencesPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:5362

### hasRefundDisputeList

- hasRefundDisputeList(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:5392

### hasRemovedPayloadsMap

- hasRemovedPayloadsMap(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:5412

### hasSequenceNumberMap

- hasSequenceNumberMap(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:5332

### hasSignedOfferList

- hasSignedOfferList(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:5422

### hasSignedWitnessStore

- hasSignedWitnessStore(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:5382

### hasTradableList

- hasTradableList(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:5352

### hasTradeStatistics3Store

- hasTradeStatistics3Store(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:5397

### hasUserPayload

- hasUserPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:5367

### hasXmrAddressEntryList

- hasXmrAddressEntryList(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:5417

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5432

### setAccountAgeWitnessStore

- setAccountAgeWitnessStore(value?: AccountAgeWitnessStore): PersistableEnvelope

- #### Parameters

  - ##### `Optional` value: AccountAgeWitnessStore

  #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5376

### setAddressEntryList

- setAddressEntryList(value?: AddressEntryList): PersistableEnvelope

- #### Parameters

  - ##### `Optional` value: AddressEntryList

  #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5341

### setArbitrationDisputeList

- setArbitrationDisputeList(value?: ArbitrationDisputeList): PersistableEnvelope

- #### Parameters

  - ##### `Optional` value: ArbitrationDisputeList

  #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5356

### setEncryptedConnectionList

- setEncryptedConnectionList(value?: EncryptedConnectionList): PersistableEnvelope

- #### Parameters

  - ##### `Optional` value: EncryptedConnectionList

  #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5426

### setIgnoredMailboxMap

- setIgnoredMailboxMap(value?: IgnoredMailboxMap): PersistableEnvelope

- #### Parameters

  - ##### `Optional` value: IgnoredMailboxMap

  #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5406

### setMailboxMessageList

- setMailboxMessageList(value?: MailboxMessageList): PersistableEnvelope

- #### Parameters

  - ##### `Optional` value: MailboxMessageList

  #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5401

### setMediationDisputeList

- setMediationDisputeList(value?: MediationDisputeList): PersistableEnvelope

- #### Parameters

  - ##### `Optional` value: MediationDisputeList

  #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5386

### setNavigationPath

- setNavigationPath(value?: NavigationPath): PersistableEnvelope

- #### Parameters

  - ##### `Optional` value: NavigationPath

  #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5346

### setPaymentAccountList

- setPaymentAccountList(value?: PaymentAccountList): PersistableEnvelope

- #### Parameters

  - ##### `Optional` value: PaymentAccountList

  #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5371

### setPeerList

- setPeerList(value?: PeerList): PersistableEnvelope

- #### Parameters

  - ##### `Optional` value: PeerList

  #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5336

### setPreferencesPayload

- setPreferencesPayload(value?: PreferencesPayload): PersistableEnvelope

- #### Parameters

  - ##### `Optional` value: PreferencesPayload

  #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5361

### setRefundDisputeList

- setRefundDisputeList(value?: RefundDisputeList): PersistableEnvelope

- #### Parameters

  - ##### `Optional` value: RefundDisputeList

  #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5391

### setRemovedPayloadsMap

- setRemovedPayloadsMap(value?: RemovedPayloadsMap): PersistableEnvelope

- #### Parameters

  - ##### `Optional` value: RemovedPayloadsMap

  #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5411

### setSequenceNumberMap

- setSequenceNumberMap(value?: SequenceNumberMap): PersistableEnvelope

- #### Parameters

  - ##### `Optional` value: SequenceNumberMap

  #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5331

### setSignedOfferList

- setSignedOfferList(value?: SignedOfferList): PersistableEnvelope

- #### Parameters

  - ##### `Optional` value: SignedOfferList

  #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5421

### setSignedWitnessStore

- setSignedWitnessStore(value?: SignedWitnessStore): PersistableEnvelope

- #### Parameters

  - ##### `Optional` value: SignedWitnessStore

  #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5381

### setTradableList

- setTradableList(value?: TradableList): PersistableEnvelope

- #### Parameters

  - ##### `Optional` value: TradableList

  #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5351

### setTradeStatistics3Store

- setTradeStatistics3Store(value?: TradeStatistics3Store): PersistableEnvelope

- #### Parameters

  - ##### `Optional` value: TradeStatistics3Store

  #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5396

### setUserPayload

- setUserPayload(value?: UserPayload): PersistableEnvelope

- #### Parameters

  - ##### `Optional` value: UserPayload

  #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5366

### setXmrAddressEntryList

- setXmrAddressEntryList(value?: XmrAddressEntryList): PersistableEnvelope

- #### Parameters

  - ##### `Optional` value: XmrAddressEntryList

  #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5416

### toObject

- toObject(includeInstance?: boolean): PersistableEnvelope.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns PersistableEnvelope.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5433

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): PersistableEnvelope

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5436

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PersistableEnvelope, reader: BinaryReader): PersistableEnvelope

- #### Parameters

  - ##### message: PersistableEnvelope

  - ##### reader: BinaryReader

  #### Returns PersistableEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:5437

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: PersistableEnvelope, writer: BinaryWriter): void

- #### Parameters

  - ##### message: PersistableEnvelope

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:5435

### `Static` toObject

- toObject(includeInstance: boolean, msg: PersistableEnvelope): PersistableEnvelope.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PersistableEnvelope

  #### Returns PersistableEnvelope.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5434

Generated using TypeDoc